summaryrefslogtreecommitdiffstats
path: root/include/kernel.mk
diff options
context:
space:
mode:
authorRoman Yeryomin <roman@advem.lv>2013-05-26 01:02:55 +0300
committerRoman Yeryomin <roman@advem.lv>2013-05-26 01:02:55 +0300
commit342045a35b1981a89e4bc80842b10c065e1050da (patch)
tree4140720b20e8d641c11da882010d6130a75fef21 /include/kernel.mk
parent7338133dde8238afce34676214b494c8db96689b (diff)
parent1a116ce7818ecee5d167a9c0ebb1a0feca9120e6 (diff)
Merge trunk into realtek-unstable
Conflicts: Config.in feeds.conf.default package/base-files/files/etc/hotplug2-common.rules package/network/config/netifd/files/etc/init.d/network
Diffstat (limited to 'include/kernel.mk')
-rw-r--r--include/kernel.mk12
1 files changed, 7 insertions, 5 deletions
diff --git a/include/kernel.mk b/include/kernel.mk
index e48c1388b..fc0d3d349 100644
--- a/include/kernel.mk
+++ b/include/kernel.mk
@@ -35,7 +35,9 @@ else
endif
KERNEL_BUILD_DIR ?= $(BUILD_DIR)/linux-$(BOARD)$(if $(SUBTARGET),_$(SUBTARGET))
LINUX_DIR ?= $(KERNEL_BUILD_DIR)/linux-$(LINUX_VERSION)
-
+ ifeq ($(strip $(call CompareKernelPatchVer,$(KERNEL_PATCHVER),ge,3.7.0)),1)
+ LINUX_UAPI_DIR=uapi/
+ endif
LINUX_VERMAGIC:=$(strip $(shell cat $(LINUX_DIR)/.vermagic 2>/dev/null))
LINUX_VERMAGIC:=$(if $(LINUX_VERMAGIC),$(LINUX_VERMAGIC),unknown)
@@ -102,7 +104,7 @@ define ModuleAutoLoad
mkdir -p $(2)/CONTROL; \
echo "#!/bin/sh" > $(2)/CONTROL/postinst; \
echo "[ -z \"\$$$$$$$$IPKG_INSTROOT\" ] || exit 0" >> $(2)/CONTROL/postinst; \
- echo ". /etc/functions.sh" >> $(2)/CONTROL/postinst; \
+ echo ". /lib/functions.sh" >> $(2)/CONTROL/postinst; \
echo "load_modules $$$$$$$$modules" >> $(2)/CONTROL/postinst; \
chmod 0755 $(2)/CONTROL/postinst; \
fi
@@ -161,11 +163,11 @@ $(call KernelPackage/$(1)/config)
if grep -q "$$$$$$$${mod##$(LINUX_DIR)/}" "$(LINUX_DIR)/modules.builtin"; then \
echo "NOTICE: module '$$$$$$$$mod' is built-in."; \
else \
- echo "ERROR: module '$$$$$$$$mod' is missing."; \
+ echo "ERROR: module '$$$$$$$$mod' is missing." >&2; \
exit 1; \
fi; \
else \
- echo "WARNING: module '$$$$$$$$mod' missing and modules.builtin not available, assuming built-in."; \
+ echo "WARNING: module '$$$$$$$$mod' missing and modules.builtin not available, assuming built-in." >&2; \
fi; \
done;
$(call ModuleAutoLoad,$(1),$$(1),$(AUTOLOAD))
@@ -176,7 +178,7 @@ $(call KernelPackage/$(1)/config)
else
compile: kmod-$(1)-unavailable
kmod-$(1)-unavailable:
- @echo "WARNING: kmod-$(1) is not available in the kernel config"
+ @echo "WARNING: kmod-$(1) is not available in the kernel config" >&2
)
endif
$$(eval $$(call BuildPackage,kmod-$(1)))